Subject: Re: [PATCH v2] net: cadence: Add architecture dependencies

From: Michal Simek <[email-masked]>
Date: Wed, 23 Apr 2014 13:14:41 +0200

Hi Jean,

On 04/23/2014 12:48 PM, Jean Delvare wrote:
> Hi Michal,
> 
> On Wed, 23 Apr 2014 11:35:55 +0200, Michal Simek wrote:
>> On 04/23/2014 09:40 AM, Jean Delvare wrote:
>>> Thanks for the information. I will send a patch adding MICROBLAZE to
>>> the dependencies. Out of curiosity, is there any way I could have found
>>> out by myself?
>>
>> Microblaze doesn't need to be only one. I am not sure if there is
>> any AXI bridge for openrisc.
> 
> You lost me here again :-(

at least on Zynq we have cadence macb on AXI bus. Not sure which bus
is used on Atmel. SoC vendor just buy it from Cadence and add it to
silicon.
Or for microblaze case because it is soft-core we can simple
connect Microblaze with this IP.
It means if you have any soft-core cpu which supports AXI bus
or bridge to AXI it can connect this IP.

>> IMHO you should just add COMPILE_TEST and do not try to extend that
>> list of dependencies.
> 
> COMPILE_TEST is already present, I can't add it twice ;-) But
> COMPILE_TEST isn't supposed to be used when the architecture /
> platform / system is actually expected to possibly need the driver in
> question. If the list of possible hardware dependencies isn't well
> known, or is too complex to express, or too difficult to maintain, then
> we have to either make it broader, or even drop it.

I am not COMPILE_TEST expert but IMHO idea was to compile all drivers
for all platforms and do not hide anything. Even I think that will
be just easier not to use COMPILE_TEST at all because it is just pain.
At least I use zero-day testing system to compile it for others architectures.
And I have asked Fengguang to explicitly enable COMPILE_TEST for all platforms
and do not depend that randconfig enables it.

> Originally I wanted to hide the Cadence drivers from X86 kernel
> configuration. If there's still a way to achieve that, let's do it. If
> not, we can leave the hardware dependency for ARM_AT91_ETHER and drop
> the one for MACB (and subsequently NET_CADENCE.) That's still better
> than nothing.

Any reason to hide this driver for x86?

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng), OpenPGP -> KeyID: FE3D1F91
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel - Microblaze cpu - http://www.monstr.eu/fdt/
Maintainer of Linux kernel - Xilinx Zynq ARM architecture
Microblaze U-BOOT custodian and responsible for u-boot arm zynq platform